net.sf.okapi.lib.xliff2.walker.selector

## Class PathSelectorUtils

- java.lang.Object
- - net.sf.okapi.lib.xliff2.walker.selector.PathSelectorUtils

-     public class PathSelectorUtils
      extends java.lang.Object

  Class for path selector utilities.
  Author:
    Vladyslav Mykhalets

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PathSelectorUtils.Pair<L,R>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathSelectorUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `containsFile(XliffWalkerPathSelector pathSelector, java.lang.String fileId)`
    `static boolean` | `containsSegment(XliffWalkerPathSelector pathSelector, java.lang.String fileId, java.lang.String unitId, int segmentIndex)`
    `static boolean` | `containsUnit(XliffWalkerPathSelector pathSelector, java.lang.String fileId, java.lang.String unitId)`
    `static java.lang.String[]` | `resolveFileNodeIds(XLIFFDocument doc, XliffWalkerPathSelector pathSelector)`
    `static PathSelectorUtils.Pair<java.lang.Integer,Segment>[]` | `resolveSegments(UnitNode unitNode, XliffWalkerPathSelector pathSelector)`
    `static UnitNode[]` | `resolveUnitNodes(FileNode fileNode, XliffWalkerPathSelector pathSelector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathSelectorUtils

          public PathSelectorUtils()

  - ### Method Detail

    - #### containsFile

          public static boolean containsFile(XliffWalkerPathSelector pathSelector,
                             java.lang.String fileId)

    - #### containsUnit

          public static boolean containsUnit(XliffWalkerPathSelector pathSelector,
                             java.lang.String fileId,
                             java.lang.String unitId)

    - #### containsSegment

          public static boolean containsSegment(XliffWalkerPathSelector pathSelector,
                                java.lang.String fileId,
                                java.lang.String unitId,
                                int segmentIndex)

    - #### resolveFileNodeIds

          public static java.lang.String[] resolveFileNodeIds(XLIFFDocument doc,
                                              XliffWalkerPathSelector pathSelector)

    - #### resolveUnitNodes

          public static UnitNode[] resolveUnitNodes(FileNode fileNode,
                                    XliffWalkerPathSelector pathSelector)

    - #### resolveSegments

          public static PathSelectorUtils.Pair<java.lang.Integer,Segment>[] resolveSegments(UnitNode unitNode,
                                                                            XliffWalkerPathSelector pathSelector)